### Virtual Method

# Hinoko FwIsoIt interrupted

#### Declaration [src]

    void
    interrupted (
      HinokoFwIsoIt* self,
      guint sec,
      guint cycle,
      const guint8* tstamp,
      guint tstamp_length,
      guint count
    )

#### Description [src]

Class closure for the `HinokoFwIsoIt::interrupted` signal.

#### Parameters

`sec`

  Type: `guint`

  The sec part of isochronous cycle when interrupt occurs, up to 7.

`cycle`

  Type: `guint`

  The cycle part of of isochronous cycle when interrupt occurs, up to 7999.

`tstamp`

  Type: An array of `guint8`

  A series of timestamps for packets already handled.

  The length of the array is specified in the `tstamp_length` argument.
  The data is owned by the caller of the method.

`tstamp_length`

  Type: `guint`

  The number of bytes for `tstamp`.

`count`

  Type: `guint`

  The number of handled packets.